Bug 5056 - Untranslatable strings in members.js
Summary: Untranslatable strings in members.js
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-22 14:37 UTC by Owen Leonard
Modified: 2010-11-23 11:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (5.25 KB, patch)
2010-07-26 19:03 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2010-07-22 14:37:08 UTC
As pointed out in Bug 4503, members.js contains some English strings:

Line  11: msg = _("Separator must be /");
Line  20: msg = _("day not correct."); 
Line  26: msg = _("month not correct.");
Line  32: msg = _("years not correct."); 
Line  46: msg1 += ("Warning  !!!! Duplicate patron!!!!");
Line  52: msg2 += ("Warning !!!! Duplicate organisation!!!!");
Line  76: var msg = ("Warning !!! check date expiry  >= date enrolment");
Line 104: var message ="The following fields are mandatory :\n";
Line 134: message_champ+=("Please confirm suspicious duplicate patron !!! ");

I propose, as kf suggests, that members.js and memberentrygen.tmpl be modified to handle javascript message strings the same way basket.js does.
Comment 1 Owen Leonard 2010-07-26 19:03:37 UTC
Created attachment 2427 [details] [review]
Proposed fix
Comment 2 Chris Cormack 2010-11-04 07:59:17 UTC
Patch pushed, please test and close
Comment 3 MJ Ray (software.coop) 2010-11-09 04:17:26 UTC
This bug is mentioned in:
Fix for Bug 5056,	Untranslatable strings in members.js http://lists.koha-community.org/pipermail/koha-patches/2010-October/012796.html
Comment 4 Katrin Fischer 2010-11-12 16:04:24 UTC
The strings are translatable now, but not in Pootle yet. I updated my po files using the translate script and all strings showed up.
Comment 5 Chris Nighswonger 2010-11-18 03:15:17 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 6 Katrin Fischer 2010-11-23 11:16:18 UTC
Tested in 3.2.1.